﻿using System;
using System.IO;
using System.Threading.Tasks;
using System.Web.Routing;

namespace MvcFlow
{
    public interface IWorkflowDefinitionProvider
    {
        event Action<IWorkflowDefinitionProvider> Changed;

        Task<string> GetWorkflowDefinition(RequestContext requestContext, string workflowName);
    }
}