﻿using MvcFlow.Runtime;
using NUnit.Framework;

namespace MvcFlow.Tests.Runtime
{
    [TestFixture]
    public class WebWorkflowHostTests
    {
        [Test]
        public void ProductionEnvironmentShouldAlwaysProvideValue()
        {
            var workflowHost = new WebWorkflowHost();

            Assert.IsFalse(workflowHost.IsProductionEnvironment);
        }

        [Test]
        public void ProductionEnivronmentOverrideShouldWork()
        {
            var workflowHost = new WebWorkflowHost(true);

            Assert.IsTrue(workflowHost.IsProductionEnvironment);
        }
    }
}