using System;

namespace MvcFlow.Execution
{
    public sealed class WorkflowStepResult
    {
        public object   ReturnValue     { get; private set; }
        public string   BookmarkName    { get; private set; }
        public Guid     InstanceId      { get; private set; }

        internal WorkflowStepResult(object returnValue, string bookmarkName, Guid instanceId)
        {
            this.ReturnValue    = returnValue;
            this.BookmarkName   = bookmarkName;
            this.InstanceId     = instanceId;
        }
    }
}